# $Revision: 1.7 $, $Date: 2005/12/24 14:02:58 $
%define		module	subway
%define		snap	20051219

Summary:	A pythonic, object-oriented web development stack
Summary(pl):	Pythonowy, zorientowany obiektowo stos do tworzenia WWW
Name:		python-%{module}
Version:	0.2
%define	_rc	rc1
Release:	0.%{_rc}.2
License:	BSD
Group:		Development/Languages/Python
Source0:	%{module}-%{snap}.tar.bz2
# Source0-md5:	4d439e2825479dda68eff179f07da223
URL:		http://subway.python-hosting.com/
BuildRequires:	python
BuildRequires:	sed >= 4.0
%pyrequires_eq	python-modules
Requires:	python-FormEncode
Requires:	python-SQLObject
Requires:	python-cheetah
Requires:	python-cherrypy
Requires:	python-statesaver
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Subway project aims to create a Web development stack combining
the ideas and spirit of Ruby on Rails with a comprehensive suite of
prewritten Python web libraries and tools.

%description -l pl
Celem projektu Subway jest stworzenie stosu do tworzenia WWW czcego
idee i duch Ruby on Rails z obszernym zestawem gotowych bibliotek i
narzdzi pythonowych do WWW.

%prep
%setup -q -n %{module}-%{snap}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_bindir}}

python ./setup.py install \
	--single-version-externally-managed \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
mv $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/skeleton $RPM_BUILD_ROOT
%py_postclean
mv $RPM_BUILD_ROOT/skeleton $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}
sed -i -e '1i#!%{__python}' $RPM_BUILD_ROOT%{_bindir}/subway_create.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*.py
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/*egg*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-subway.spec,v $
Revision 1.7  2005/12/24 14:02:58  arekm
- rebuild

Revision 1.6  2005/12/20 00:37:51  glen
- use sed to insert shebang
- tabs, formatting

Revision 1.5  2005/12/19 23:56:18  arekm
- leave skeleton intact

Revision 1.4  2005/12/19 23:43:56  arekm
- add missing R, fix subway_create.py.

Revision 1.3  2005/12/19 23:21:00  arekm
- use new setuptools way; missing R; updated

Revision 1.2  2005/09/22 20:37:24  qboosh
- pl, cleanup

Revision 1.1  2005/09/14 14:36:48  jpc
- new spec
